/* =============================================================================
 * elemento.h
 *
 * Interfaz pblica del TAD Elemento - encapsulando un dato de tipo int.
 *
 * Autor: Ivn Cantador
 * Fecha: 9/2/2017
 * Versin: 1.0
 * Comentarios: En este fichero habra que incluir las cabeceras de funcin,
 * describiendo las primitivas, sus argumentos de entrada y valores de salida.
 * ========================================================================== */

#ifndef ELEMENTO_H
#define ELEMENTO_H

typedef struct _Elemento Elemento;

Elemento *elemento_crear();
status elemento_establecerDato(Elemento *elem, int dato);
int elemento_obtenerDato(Elemento *elem);
Elemento *elemento_copiar(Elemento *elem);
int elemento_comparar(Elemento *elem1, Elemento *elem2);
void elemento_eliminar(Elemento *elem);
void elemento_visualizar(Elemento *elem);

#endif
